rte_pmd_cnxk_crypto_sess(3)

NAME
rte_pmd_cnxk_crypto_sess - Crypto CNXK PMD session structure.

SYNOPSIS

#include <rte_pmd_cnxk_crypto.h>

  Data Fields

enum rte_crypto_op_type op_type
enum rte_crypto_op_sess_type sess_type
union {
struct rte_security_session * sec_sess
struct rte_cryptodev_sym_session * crypto_sym_sess
struct rte_cryptodev_asym_session * crypto_asym_sess
};

Detailed Description

Crypto CNXK PMD session structure.

This structure represents the session structure that would be used to store the session information.

Definition at line 81 of file rte_pmd_cnxk_crypto.h.

Field Documentation

  enum rte_crypto_op_type op_type
Crypto type (symmetric or asymmetric).

Definition at line 83 of file rte_pmd_cnxk_crypto.h.

  enum rte_crypto_op_sess_type sess_type
Session type (Crypto or security).

Definition at line 85 of file rte_pmd_cnxk_crypto.h.

  struct rte_security_session* sec_sess
Security session pointer.

Definition at line 89 of file rte_pmd_cnxk_crypto.h.

  struct rte_cryptodev_sym_session* crypto_sym_sess
Crypto symmetric session pointer.

Definition at line 91 of file rte_pmd_cnxk_crypto.h.

  struct rte_cryptodev_asym_session* crypto_asym_sess
Crypto asymmetric session pointer

Definition at line 93 of file rte_pmd_cnxk_crypto.h.

  union { ... }
Session pointer.

Author

Generated automatically by Doxygen for DPDK from the source code.